=== debian/changelog ===
plug-dmo (1.4.2-dmo4) unstable; urgency=medium

  * Update upstream URL. It's gitlab not github.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Apr 2021 01:54:19 +0200

plug-dmo (1.4.2-dmo3) unstable; urgency=medium

  * Was plug not grub

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Apr 2021 14:38:58 +0200

plug-dmo (1.4.2-dmo2) unstable; urgency=medium

  * debian/control Remove 'Conflicts: grub' entry

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Apr 2021 14:37:55 +0200

plug-dmo (1.4.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Apr 2021 00:21:43 +0200

plug-dmo (1.2.1+hg20160406-dmo2) unstable; urgency=medium

  * Build against qtbase-abi-5-12-5 and/or qtdeclarative-abi-5-12-5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Oct 2019 09:41:35 +0200

plug-dmo (1.2.1+hg20160406-dmo1) unstable; urgency=medium

  * bitbucket snapshot with Qt5 support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 10 Sep 2017 11:44:31 +0200

plug-dmo (1.2.1-dmo2) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Mar 2017 15:38:31 +0100

plug-dmo (1.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Dec 2015 09:01:57 +0100

plug-dmo (1.1+20121013-dmo2) unstable; urgency=low

  * Simplify udev rules file and update idProduct number.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Aug 2013 10:36:07 +0200

plug-dmo (1.1+20121013-dmo1) unstable; urgency=low

  * Forgot the 1 after -dmo

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Oct 2012 15:49:52 +0200

plug-dmo (1.1+20121013-dmo) unstable; urgency=low

  * Fix firmware update for Mustang III, IV and V.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Oct 2012 14:47:29 +0200

plug (1.1-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 May 2012 08:31:35 +0200

plug (1.0+20120426-dmo1) unstable; urgency=low

  * New bug fix release for 1.8 firmware.

 -- Christian Marillat <marillat@debian.org>  Thu, 26 Apr 2012 07:27:52 +0200

plug (1.0-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 25 Aug 2011 16:06:06 +0200

plug (0.7-0.2) unstable; urgency=low

  * Added support from upstream to Mustang II, IV et V.

 -- Christian Marillat <marillat@debian.org>  Sun, 24 Apr 2011 09:58:18 +0200

plug (0.7-0.1) unstable; urgency=low

  * New patch (02_include-libusb) to fix KfreeBSD build.

 -- Christian Marillat <marillat@debian.org>  Sat, 16 Apr 2011 11:11:05 +0200

plug (0.7-0.0) unstable; urgency=low

  * New upstrem release.

 -- Christian Marillat <marillat@debian.org>  Wed, 13 Apr 2011 16:07:14 +0200

plug (0.6.1-1) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Fri, 01 Apr 2011 16:23:34 +0200
