=== debian/control ===
Source: plug-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://gitlab.com/offa/plug
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, quilt, cmake,
 qtbase5-dev, libgtest-dev, libgmock-dev

Package: mustang-plug
Architecture: any
Replaces: plug
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Control Fender Mustang amplifiers.
 PLUG was originally created as a Linux replacement for Fender FUSE
 software for Fender Mustang guitar amplifier. Its Qt4-based graphical
 interface allows one to control the amplifier and effect stages of
 all Mustang amplifiers from I to V.

Package: plug
Section: oldlibs
Architecture: any
Depends: mustang-plug, ${misc:Depends}
Description: transitional package plug
 This is a transitional package for mustang-plug. It can safely be removed.
