=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,9 +8,10 @@
                             plug-ui
                             plug-mustang
                             plug-communication
+                            plug-communication-usb
+                            plug-libusb
                             plug-updater
                             build-libs
-                            libusb-1.0::libusb-1.0
                         )
 
 install(TARGETS plug EXPORT plug-config DESTINATION bin)
