=== test/CMakeLists.txt ===
--- 
+++ 
@@ -29,12 +29,22 @@
 
 
 add_executable(CommunicationTest
+                ConnectionFactoryTest.cpp
                 UsbCommTest.cpp
-                ConnectionFactoryTest.cpp
                 )
 add_test(CommunicationTest CommunicationTest)
 target_link_libraries(CommunicationTest PRIVATE
                         plug-communication
+                        TestLibs
+                        UsbDeviceMock
+                        )
+
+add_executable(UsbTest
+    UsbTest.cpp
+    )
+add_test(UsbTest UsbTest)
+target_link_libraries(UsbTest PRIVATE
+                        plug-communication-usb
                         TestLibs
                         LibUsbMocks
                         )
@@ -49,6 +59,7 @@
 
 add_custom_target(unittest MustangTest
                         COMMAND CommunicationTest
+                        COMMAND UsbTest
                         COMMAND IdLookupTest
 
                         COMMENT "Running unittests\n\n"
