=== test/integration/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
                             plug-mustang
                             plug-version
                             plug-communication
-                            libusb-1.0::libusb-1.0
+                            plug-communication-usb
+                            plug-libusb
                             build-libs
                             )
-
