=== debian/changelog ===
plug-dmo (1.4.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Jun 2022 19:17:49 +0200
