=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,4 +14,4 @@
                             build-libs
                         )
 
-install(TARGETS plug EXPORT plug-config DESTINATION bin)
+install(TARGETS plug EXPORT plug-config DESTINATION ${CMAKE_INSTALL_BINDIR})
