=== test/CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,9 @@
 
 add_library(TestLibs INTERFACE)
 target_link_libraries(TestLibs INTERFACE
-                        GTest::GTest
-                        GTest::Mock
-                        GTest::Main
-                        build-libs
-                        )
+    GTest::gmock_main
+    build-libs
+    )
 
 add_subdirectory(mocks)
 
@@ -17,6 +15,8 @@
                 MustangTest.cpp
                 PacketSerializerTest.cpp
                 PacketTest.cpp
+                FxSlotTest.cpp
+                DeviceModelTest.cpp
                 )
 add_test(MustangTest MustangTest)
 target_link_libraries(MustangTest PRIVATE
@@ -35,6 +35,7 @@
 add_test(CommunicationTest CommunicationTest)
 target_link_libraries(CommunicationTest PRIVATE
                         plug-communication
+                        plug-mustang
                         TestLibs
                         UsbDeviceMock
                         )
