=== debian/changelog ===
plug-dmo (1.4.5-dmo3) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Mar 2024 11:15:58 +0100

plug-dmo (1.4.5-dmo2) unstable; urgency=medium

  * Don't package extra udev file.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Jan 2024 18:32:08 +0100

plug-dmo (1.4.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Dec 2023 21:05:00 +0100

plug-dmo (1.4.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Dec 2023 16:50:30 +0100
