=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gitlab.com/offa/plug
-Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, quilt, cmake,
- qtbase5-dev, libgtest-dev, libgmock-dev
+ qtbase5-dev, libgtest-dev, libgmock-dev, ninja-build, systemd-dev
 
 Package: mustang-plug
 Architecture: any
