=== debian/watch ===
version=4

https://gitlab.com/offa/plug/-/tags \
.*/plug-v?(\d[\d.]*)@ARCHIVE_EXT@
