=== src/com/CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,10 @@
     UsbException.cpp
     UsbDevice.cpp
     )
+target_link_libraries(plug-communication-usb PRIVATE libusb-1.0::libusb-1.0)
 
 add_library(plug-libusb LibUsbCompat.cpp)
 target_link_libraries(plug-libusb PUBLIC libusb-1.0::libusb-1.0)
 
 add_library(plug-updater MustangUpdater.cpp)
+target_link_libraries(plug-updater PRIVATE libusb-1.0::libusb-1.0)
