=== src/ui/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 target_link_libraries(plug-ui
                         PUBLIC
-                            Qt5::Widgets
-                            Qt5::Gui
-                            Qt5::Core
+                            Qt6::Widgets
+                            Qt6::Gui
+                            Qt6::Core
                         )
